RDKit::StringRect Struct Reference

`#include <MolDraw2D.h>`

## Public Member Functions

| StringRect ()
| StringRect (const Point2D &offset, const Point2D &g_centre, double w, double h)
void | calcCorners (Point2D &tl, Point2D &tr, Point2D &br, Point2D &bl, double padding) const
bool | doesItIntersect (const StringRect &other) const

## Public Attributes

Point2D | trans_
Point2D | offset_
Point2D | g_centre_
double | y_shift_
double | width_
double | height_
double | rect_corr_
int | clash_score_

## Detailed Description

Definition at line 90 of file MolDraw2D.h.

## Constructor & Destructor Documentation

## StringRect() [1/2]

RDKit::StringRect::StringRect | ( |  | ) |

inline

Definition at line 101 of file MolDraw2D.h.

## StringRect() [2/2]

RDKit::StringRect::StringRect | ( | const Point2D & | offset,
|  | const Point2D & | g_centre,
|  | double | w,
|  | double | h
| ) |  |

inline

Definition at line 110 of file MolDraw2D.h.

## Member Function Documentation

## calcCorners()

void RDKit::StringRect::calcCorners | ( | Point2D & | tl,
|  | Point2D & | tr,
|  | Point2D & | br,
|  | Point2D & | bl,
|  | double | padding
| ) |  | const

inline

Definition at line 121 of file MolDraw2D.h.

References g_centre_, height_, offset_, trans_, width_, RDGeom::Point2D::x, RDGeom::Point2D::y, and y_shift_.

Referenced by doesItIntersect().

## doesItIntersect()

bool RDKit::StringRect::doesItIntersect | ( | const StringRect & | other | ) | const

inline

Definition at line 132 of file MolDraw2D.h.

References calcCorners(), RDGeom::Point2D::x, and RDGeom::Point2D::y.

## Member Data Documentation

## clash_score_

int RDKit::StringRect::clash_score_

Definition at line 98 of file MolDraw2D.h.

## g_centre_

Point2D RDKit::StringRect::g_centre_

Definition at line 93 of file MolDraw2D.h.

Referenced by calcCorners().

## height_

double RDKit::StringRect::height_

Definition at line 95 of file MolDraw2D.h.

Referenced by calcCorners().

## offset_

Point2D RDKit::StringRect::offset_

Definition at line 92 of file MolDraw2D.h.

Referenced by calcCorners().

## rect_corr_

double RDKit::StringRect::rect_corr_

Definition at line 96 of file MolDraw2D.h.

## trans_

Point2D RDKit::StringRect::trans_

Definition at line 91 of file MolDraw2D.h.

Referenced by calcCorners().

## width_

double RDKit::StringRect::width_

Definition at line 95 of file MolDraw2D.h.

Referenced by calcCorners().

## y_shift_

double RDKit::StringRect::y_shift_

Definition at line 94 of file MolDraw2D.h.

Referenced by calcCorners().

The documentation for this struct was generated from the following file:

- MolDraw2D.h